Skip to content
Start here

Get latest Internet traffic anomalies

client.radar.trafficAnomalies.get(TrafficAnomalyGetParams { asn, dateEnd, dateRange, 8 more } query?, RequestOptionsoptions?): TrafficAnomalyGetResponse { trafficAnomalies }
GET/radar/traffic_anomalies

Retrieves the latest Internet traffic anomalies, which are signals that might indicate an outage. These alerts are automatically detected by Radar and manually verified by our team.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: TrafficAnomalyGetParams { asn, dateEnd, dateRange, 8 more }
asn?: number

Filters results by Autonomous System. Specify a single Autonomous System Number (ASN) as integer.

dateEnd?: string

End of the date range (inclusive).

formatdate-time
dateRange?: string

Filters results by date range.

dateStart?: string

Start of the date range (inclusive).

formatdate-time
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location?: string

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
offset?: number

Skips the specified number of objects before fetching the results.

minimum0
origin?: string

Filters results by origin.

maxLength100
status?: "VERIFIED" | "UNVERIFIED"
One of the following:
"VERIFIED"
"UNVERIFIED"
type?: Array<"LOCATION" | "AS" | "ORIGIN">

Filters results by entity type (LOCATION, AS, or ORIGIN).

One of the following:
"LOCATION"
"AS"
"ORIGIN"
ReturnsExpand Collapse
TrafficAnomalyGetResponse { trafficAnomalies }
trafficAnomalies: Array<TrafficAnomaly>
startDate: string
status: string
type: string
uuid: string
asnDetails?: ASNDetails { asn, name, locations }
asn: string
name: string
locations?: Locations { code, name }
code: string
name: string
endDate?: string
formatdate-time
locationDetails?: LocationDetails { code, name }
code: string
name: string
originDetails?: OriginDetails { name, origin }
name: string
origin: string
visibleInDataSources?: Array<string>

Get latest Internet traffic anomalies

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const trafficAnomaly = await client.radar.trafficAnomalies.get();

console.log(trafficAnomaly.trafficAnomalies);
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}